net.i2p.i2ptunnel.socks

## Class SOCKSUDPUnwrapper

- java.lang.Object
- - net.i2p.i2ptunnel.socks.SOCKSUDPUnwrapper

All Implemented Interfaces:
  Sink, Source

    public class SOCKSUDPUnwrapper
    extends Object
    implements Source, Sink

Strip a SOCKS header off a datagram, convert it to a Destination Ref: RFC 1928

Author:
  zzz

### Constructor Summary

Constructors
Constructor and Description
`SOCKSUDPUnwrapper(Map<Destination,SOCKSHeader> cache)`

### Method Summary

Methods
`void` `send(Destination ignored_from, byte[] data)`
`void` `setSink(Sink sink)`
`void` `start()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SOCKSUDPUnwrapper

    public SOCKSUDPUnwrapper(Map<Destination,SOCKSHeader> cache)

Parameters:
  `cache` - put headers here to pass to SOCKSUDPWrapper

### Method Detail

#### setSink

    public void setSink(Sink sink)

Specified by:
  `setSink` in interface `Source`

#### start

    public void start()

Specified by:
  `start` in interface `Source`

#### send

    public void send(Destination ignored_from,
            byte[] data)

Specified by:
  `send` in interface `Sink`